Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Upgrades to 1.3.4 Sp1 - Successful? Rate Topic   - - - - -

Poll: Was your Upgrade Successful (1 member(s) have cast votes)

Was your Upgrade Successful

  1. Successful 1.3.3 SP2 upgraded to 1.3.4 SP1 (3 votes [18.75%] - View)

    Percentage of vote: 18.75%

  2. *Failed* 1.3.3 SP2 upgraded to 1.3.4 SP1 (11 votes [68.75%] - View)

    Percentage of vote: 68.75%

  3. Successful 1.3.3 SP2 upgraded to 1.3.4 (0 votes [0.00%])

    Percentage of vote: 0.00%

  4. *Failed* 1.3.3 SP2 upgraded to 1.3.4 (2 votes [12.50%] - View)

    Percentage of vote: 12.50%

Vote Guests cannot vote
 

Posted 19 November 2006 - 09:31 PM #1

I've been curious about the upgrades from 1.3.3 SP2 to the current build 1.3.4 SP1.

From reading the forums it looks like the biggest bug to date is the program manager backing up whole directories 'public_html/' instead of the CS Folders. Can we please discuss how your upgrade went, from what build and the complexity that you encountered using the program manager.
Please try to stay on topic as I hope this thread will be informative :rolleyes:

Poll is multiple choice as a majority of users are upgrading from 1.3.3 SP2 to 1.3.4.
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 
  • roban
  • Senior Member
  • Moderators
  • Join Date: 23-Oct 06
  • 1132 posts

Posted 19 November 2006 - 09:57 PM #2

I have not had any success with the upgrade software. I get nothing but errors. I have a support ticket and we'll see what they say.

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 19 November 2006 - 10:07 PM #3

It would be good to add the upgrade from 1.3.4 to 1.3.4 sp1. I am just testing a stock version 1.3.4 of the software and it fails to upgrade with the Store Manager.

Bob

 

Posted 19 November 2006 - 10:21 PM #4

My apologies jobosales, I was unaware of the minority that maybe upgrading 1.3.4 to 1.3.4 sp1, if you encounter problems post back :)
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 19 November 2006 - 10:32 PM #5

Jesse-

The Store Manager is not working for me when trying to upgrade from an unmodified installation of 1.3.4 to 1.3.4 sp1. From what has been posted thus far, no one has been successful upgrading using the Store Manager. Since there have been people who manually re-entered their info into 1.3.4 (mpjbay, I believe), I think this is another valid data point.

Bob

 
  • S-Combs
  • Senior Member
  • Members
  • Join Date: 09-Nov 06
  • 692 posts

Posted 19 November 2006 - 10:48 PM #6

1.3.4 to 1.3.4 sp1 failed but I did end up with a cool 300mb backup file of everything in my web directory ROFL

This updater is worthless and if it is the only solution they will provide in the future for upgrading then I have spent my last dollar on cs-cart.

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 19 November 2006 - 11:15 PM #7

S Combs-

Even if this updater worked perfectly, I would be troubled by the fact that it is Windows only. Without another solution, this effectively makes CS-Cart a Windows-only product.

Bob

 
  • zardos
  • Senior Member
  • Members
  • Join Date: 08-Feb 06
  • 1062 posts

Posted 20 November 2006 - 02:01 AM #8

I have had now trouble upgrading a bog standard template that cs-cart had designed.
You will not ever be able to upgrade a template you have altered your self with the software that cs-cart provides for you, unless you are a fluent programmer or you know what you are doing, this goes for any cart that contains (TPL'S) or smarty. Unless cs-cart can perform miracles.

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 20 November 2006 - 02:28 AM #9

zardos-

I purposely changed the front-end skin to the default CS-Cart default blue skin prior to trying the update. Unless "changes" includes using the admin area to change things like settings and products, there are absolutely no changes from the default install of version 1.3.4.

Are you saying that you simply ran the Store Manager and had absolutely no problems? If so, that means that the problem is with the server where this is hosted.

Thanks for any additional input.

Bob

 
  • MikeK
  • Senior Member
  • Members
  • Join Date: 26-Apr 06
  • 434 posts

Posted 20 November 2006 - 02:34 AM #10

..snip..
You will not ever be able to upgrade a template you have altered your self with the software that cs-cart provides for you, unless you are a fluent programmer or you know what you are doing, this goes for any cart that contains (TPL'S) or smarty. Unless cs-cart can perform miracles.

Actually, that's not quite true. The last time I checked with Zen-Cart they had devised a way to separate the inner-workings of the cart from the custom stuff done by the users. AFAIK, this is a fairly complete solution. I haven't visited their forums lately to find out if their solution blew up or anything, but when I was using their cart, people seemed to be quite happy with that feature. The plus was that upgrades, patches, etc. didn't wipe out the user changes. I would really like to see CS-C implement this type of functionality.

Maybe I'll drop in over there and see how things are going.

Mike

 
  • zardos
  • Senior Member
  • Members
  • Join Date: 08-Feb 06
  • 1062 posts

Posted 20 November 2006 - 02:38 AM #11

It could be a server problem, but i upgraded without a problem, with the standard templates, but with a modified template you may as well forget it, this will not happen.

 

Posted 20 November 2006 - 10:39 AM #12

I have had now trouble upgrading a bog standard template that cs-cart had designed.
You will not ever be able to upgrade a template you have altered your self with the software that cs-cart provides for you, unless you are a fluent programmer or you know what you are doing, this goes for any cart that contains (TPL'S) or smarty. Unless cs-cart can perform miracles.


Hey, I actually installed a NEW, FRESH cart in another location on my domain, with new SQL database and everything... the cart I installed was version 1.3.3sp2 - I done this to see if the program would work AT ALL for me, and even with a completly new install, no edits what-so-ever, the program reported the same errors. Just so you guys don't spend as many hours as I did no trying to upgrade. I currently have a ticket with Support and now their requesting my FTP username/ passord, so hopefully they can help me out. :-D

 
  • krur
  • Senior Member
  • Members
  • Join Date: 07-Jun 06
  • 114 posts

Posted 20 November 2006 - 11:17 AM #13

i'm on OS X, so the upgrade app is useless for me..

i did new fresh 1.3.4 installations and migrated (via phpmyadmin) my old products.
stefano cecere
krur.com - multimedia company
CS-Cart v2.0.12 - italian mods (full translations and data + Banca Sella + Invoices / Fatture)

 

Posted 20 November 2006 - 11:30 AM #14

I bit the bullet,

Installed 1.3.4 then manual upgrade via ftp/web to 1.3.4 SP1,
This was done via copying files from the folder 'latest' (upgrade-134-134sp1) to server, went right through to reinstalling.

Stopped short when asked if I want to re-write table.
Clicked 'Cancel' / Page went back to the installation page

otherwise I have 1.3.4 SP1 installed... not via the CS-CART store manager client.

*YAY*
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 

Posted 20 November 2006 - 01:29 PM #15

Well, I did try the upgrade and it went horribly wrong. My template was totally ruined as well as my store in general. So then I deleted the entire database, and the entire directory and uploaded the back up that the upgrade manageer did. That was even worse. I have 3000 products on my site, and spent hours upon hours sorting them putting them in categories and secondary categories as well. What I have found out and discovered is, if you have a product in a subcategory, it will not be put back there, but instead it will be put in the parent category! example on my site I have a category called Beautiful Beasts, with multiple subcategories in it. All the items in there where placed into those categories, and then i had a best Seller shwoing in the main root of that category. Upon redoing the backup and dumping the db and all that, all those products were placed in the parent category and also had a secondary category of their sub-categories. when trying to move those items back to the subcategory, I get a terrible db error, duplicate item and all that mess.

I wonder, what if the upgrade was similar to vBulletin? meaning it updates the core files needed make modifications to the admin tpl so that new features are able to be used, and then has a way to turn all the new things on and off from teh admin area? this way, your template and main.tpl doesnt get ruined nor do you have to go through the process of tryign to resort all kinds of products? If you ask me, that would be the easiest way to do it I would think.

Even with the upgrade manager, and you get to the final part I noticed that I had 262 errors, most of them were because the date was different in the tpl from the first to the new one. If the tpl is the same, then shouldnt of been a problem right? Most of the changes I did in the cart, were just graphical changes to add my own template to it. Very very few code changes, perhaps just moving a piece from this line to that line to put it where I wanted it.

Sigh, what a nightmare, and to think right before the holiday season too.... live and learn huh?

 
  • zoom4267
  • Senior Member
  • Members
  • Join Date: 27-May 06
  • 847 posts

Posted 20 November 2006 - 07:43 PM #16

i am so sorry to hear, that is horrible. after reading all of the post so far about the problems. there was no way i was going to touch my store before the holidays.
Lisa

http://www.skytopdesigns.com Web designs and Development

 
  • TonyK
  • Member
  • Members
  • Join Date: 03-Mar 06
  • 1686 posts

Posted 20 November 2006 - 07:46 PM #17

Everyone who wants to TRY this should do so on a test store or a copy of your live store. Otherwise your asking for trouble.....too close to the holidays to chance it.

Any time you make a modification, I recommend doing so on a copy of your live store, and making a backup of all original files and database, as well.
Pimpin' skins since v1.0

 

Posted 20 November 2006 - 11:29 PM #18

Yeah, and the bad thing is I knew better than to do it on a live shop.....I have another site that I work deal with terminally and chronically ill children and anytime I update that site (eithe rthe vb or the site itself) I make a complete back up of it. live and learn lol shouldnt do updates in teh middl eof the night huh?

 
  • TonyK
  • Member
  • Members
  • Join Date: 03-Mar 06
  • 1686 posts

Posted 21 November 2006 - 12:08 AM #19

Unfortunately yea, but maybe your story will teach others and they can learn from your mistakes...we can only hope.

cheers.
Pimpin' skins since v1.0

 
  • SWS
  • Senior Member
  • Members
  • Join Date: 30-Oct 06
  • 798 posts

Posted 25 November 2006 - 01:05 AM #20

Since nobody seems to be upgrading successfully, my question is this..

I installed 1.3.4 and have made quite a few changes,
do I really need to start again with 1.3.4sp1 ???
[SIZE=3][/SIZE]